<script setup lang="ts">
import ReceiptDetailTable from './ReceiptDetailTable.vue'
import ReceiptCard from './ReceiptCard.vue'
</script>

<template>
  <v-row>
    <!-- ส่วนซ้าย: ReceiptDetailTable -->
    <v-col cols="12" sm="6" md="6">
      <v-container style="padding: 0">
        <v-sheet min-width="300" max-width="800" height="860" elevation="6">
          <!-- ตารางแสดงรายละเอียดสินค้า -->
          <ReceiptDetailTable></ReceiptDetailTable>
        </v-sheet>
      </v-container>
    </v-col>

    <!-- ส่วนขวา: ReceiptCard -->
    <v-col cols="12" sm="6" md="6">
      <v-container style="padding: 0">
        <v-sheet style="background-color: #dec6ae; color: #412f26" rounded min-width="300" max-width="800" height="860"
          elevation="6">
          <!-- แสดงยอดรวม -->
          <ReceiptCard></ReceiptCard>
        </v-sheet>
      </v-container>
    </v-col>
  </v-row>
</template>

<style scoped>
.v-card {
  text-align: center;
  border: 2px solid;
  font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
  font-size: 70px;
  color: #412f26;
}

.v-sheet,
.v-card {
  border-bottom-left-radius: 15px;
  border-bottom-right-radius: 15px;
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
  text-decoration: none;
}

.v-btn {
  background-color: #ffcb5e;
  border-radius: 80px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: black;
}
</style>
